## autopkgtest 4.0.1

=== debian/changelog ===
autopkgtest (4.0.1) unstable; urgency=medium

  * Skip tests/autopkgtest NullRunner.test_apt_source_nonexisting test instead
    of failing if there are no deb-src apt sources configured on the host.
  * Add test for correctly parsing version number with less common characters.
  * autopkgtest: If the test argument is a legal apt source name, prefer
    testing that apt source name over testing that directory. If the latter
    is wanted, it can always be prefixed with ./ to disambiguate. Update the
    manpage accordingly.
  * autopkgtest.1: Update separator. (LP: #1591179)
  * Fix "apt-get source" version detection for source packages whose versions
    in different pockets have disjoint sets of binary packages (like Ubuntu's
    linux-raspi2).
  * ssh-setup/nova: If the normal "nova reboot" does not finish after five
    minutes, use the bigger "reboot --hard" hammer. This works around reboot
    bugs on some architectures.
  * Fix "apt-get source" version detection for old (Ubuntu precise) apts which
    does not yet understand --only-source, by ignoring other sources in awk.

 -- Martin Pitt <mpitt@debian.org>  Fri, 17 Jun 2016 12:08:55 +0300

autopkgtest (4.0) unstable; urgency=medium

  * Add new "autopkgtest" CLI. This provides a simplified CLI compared to the
    now deprecated adt-run:
    - It accepts only exactly one tested source package, and gives a proper
      error if none or more than one (often unintend) is given
    - It defaults to the current directory if that is a Debian source package
    - The order of arguments is not relevant any more
    - Built vs. unbuilt tree is now automatically detected
    - The explicit --source, --click-source etc. options are gone, the type of
      tested source/binary packages is detected automatically
    - The virtualization server is now separated with a double instead of a
      tripe dash, as the former is standard Unix syntax.
    - The virtualization server must be specified with its "short" name only,
      e. g. "ssh" instead of "adt-virt-ssh".
    The old "adt-run" CLI will still be available for some time.
    (Closes: #795274, LP: #1453509)
  * Rename adt-build* tools to autopkgtest-build* and build images prefixed
    with"autopkgtest" instead of "adt". Keep compatibility symlink for the old
    commands, and when being called through them, also produce images with the
    old adt* names.
  * Rename public ADT_* env vars to AUTOPKGTEST_*:
    - AUTOPKGTEST_APT_PROXY
    - AUTOPKGTEST_ARTIFACTS
    - AUTOPKGTEST_AUTOPILOT_MODULE
    - AUTOPKGTEST_NORMAL_USER
    - AUTOPKGTEST_REBOOT_MARK
    - AUTOPKGTEST_TMP
    As these are being used in existing tests and tools, also export/check
    those under their old ADT_* name.

 -- Martin Pitt <mpitt@debian.org>  Wed, 08 Jun 2016 10:13:01 +0200

## autopkgtest 4.0.2~bpo8+1

=== Makefile ===
# This file is part of autopkgtest
# autopkgtest is a tool for testing Debian binary packages
#
# autopkgtest is Copyright (C) 2006 Canonical Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# See the file CREDITS for a full list of credits information (often
# installed as /usr/share/doc/autopkgtest/CREDITS).

prefix =	/usr
share =		$(DESTDIR)$(prefix)/share
bindir =	$(DESTDIR)$(prefix)/bin
man1dir =	$(share)/man/man1
pkgname =	autopkgtest
docdir =	$(share)/doc/$(pkgname)
datadir =	$(share)/$(pkgname)
pythondir = 	$(datadir)/lib
virtdir = 	$(datadir)/virt

INSTALL =	install
INSTALL_DIRS =	$(INSTALL) -d
INSTALL_PROG =	$(INSTALL) -m 0755
INSTALL_DATA =	$(INSTALL) -m 0644

virts =		virt/chroot \
		virt/lxc \
		virt/lxd \
		virt/null \
		virt/qemu \
		virt/schroot \
		virt/ssh \
		$(NULL)

programs =	tools/autopkgtest-buildvm-ubuntu-cloud \
		tools/autopkgtest-build-lxc \
		tools/autopkgtest-build-lxd \
		runner/autopkgtest \
		$(NULL)

pythonfiles =	lib/VirtSubproc.py \
		lib/adtlog.py \
		lib/adt_run_args.py \
		lib/autopkgtest_args.py \
		lib/adt_testbed.py \
		lib/adt_binaries.py \
		lib/testdesc.py \
		$(NULL)

rstfiles =	$(wildcard doc/*.rst)
htmlfiles =	$(patsubst %.rst,%.html,$(rstfiles))

%.html: %.rst
	rst2html -v $< > $@

all: $(htmlfiles)

install:
	$(INSTALL_DIRS) $(bindir) $(docdir) $(man1dir) $(pythondir) $(virtdir) $(datadir)/setup-commands $(datadir)/ssh-setup
	set -e; for f in $(programs); do \
		$(INSTALL_PROG) $$f $(bindir); \
		test ! -f $$f.1 || $(INSTALL_DATA) $$f.1 $(man1dir); \
		done
	set -e; for f in $(virts); do \
		$(INSTALL_PROG) $$f $(virtdir); \
		man=$$(dirname $$f)/autopkgtest-$$(basename $$f).1; \
		test ! -f $$man || $(INSTALL_DATA) $$man $(man1dir); \
		done
	$(INSTALL_DATA) $(pythonfiles) $(pythondir)
	$(INSTALL_DATA) CREDITS $(docdir)
	$(INSTALL_DATA) $(rstfiles) $(htmlfiles) $(docdir)
	$(INSTALL_PROG) setup-commands/*[!~] $(datadir)/setup-commands
	$(INSTALL_PROG) ssh-setup/[a-z]*[!~] $(datadir)/ssh-setup
	$(INSTALL_DATA) ssh-setup/SKELETON $(datadir)/ssh-setup
	# legacy CLI
	ln -s autopkgtest $(bindir)/adt-run
	ln -s autopkgtest-build-lxc $(bindir)/adt-build-lxc
	ln -s autopkgtest-build-lxd $(bindir)/adt-build-lxd
	ln -s autopkgtest-buildvm-ubuntu-cloud $(bindir)/adt-buildvm-ubuntu-cloud
	$(INSTALL_DATA) runner/adt-run.1 $(man1dir)

clean:
	rm -f */*.pyc
	rm -f $(htmlfiles)

=== debian/changelog ===
autopkgtest (4.0.2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Michael Prokop <mika@debian.org>  Thu, 07 Jul 2016 11:45:11 +0200

autopkgtest (4.0.2) unstable; urgency=medium

  * If --setup-commands exits with code 100, consider this as a bad package
    (autopkgtest exit code 12) instead of a transient testbed failure (exit
    code 16). This allows setup commands to detect errors which should be
    attributed to the tested package itself (like dist-upgrading to the new
    version). Change standard "apt-get update" setup commands to exit with
    code 1 to continue treating that as a temporary failure.
  * setup-commands/setup-testbed: Remove ubuntu-core-launcher and
    snap-confine.
  * Fix some leftover "adt" → "autopkgtest" in manpages.
  * debian/tests/lxd: Move from adt-build-lxd to autopkgtest-build-lxd.
  * ssh-setup/nova: Use "autopkgtest*" instance name instead of "adt*".
  * Rename temporary "adt-satdep" package to "autopkgtest-satdep".
  * autopkgtest.1: Point out that if a .changes contains only debs, a
    corresponding .dsc must still be provided on the command line.
    (Closes: #828025)
  * autopkgtest.1: Document that if no source is given on the command line,
    the current directory will be tested.
  * debian/tests/installed: Fall back to old $ADT_TMP if $AUTOPKGTEST_TMP is
    not set, to work in debci (which runs an older autopkgtest).
  * Disable SchrootClickRunner.test_setup_ubuntu_touch_session for now, it
    breaks schroots and needs to move into a container.

 -- Martin Pitt <mpitt@debian.org>  Fri, 01 Jul 2016 20:19:58 +0200

=== debian/control ===
Source: autopkgtest
Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
 python3 (>= 3.1),
 python3-mock,
 python3-debian,
 python3-docutils,
 pyflakes,
 procps,
 pep8
Vcs-Git: https://anonscm.debian.org/git/autopkgtest/autopkgtest.git
Vcs-Browser: https://anonscm.debian.org/git/autopkgtest/autopkgtest.git
X-Python3-Version: >= 3.1

Package: autopkgtest
Architecture: all
Depends: python3,
 python3-debian,
 apt-utils,
 libdpkg-perl,
 procps,
 ${misc:Depends}
Recommends: autodep8
Suggests: schroot, lxc, lxd-client, qemu-system, qemu-utils
Description: automatic as-installed testing for Debian packages
 autopkgtest runs tests on binary packages.  The tests are run on the
 package as installed on a testbed system (which may be found via a
 virtualisation or containment system).  The tests are expected to be
 supplied in the corresponding Debian source package.
 .
 See autopkgtest(1) and /usr/share/doc/autopkgtest.
 Depending on which virtualization server you want to use, you need to
 install additional packages (schroot, lxc, lxd, or qemu-system)
 .
 For generating tests of well-known source packages such as Perl and Ruby
 libraries you should install the autodep8 package.

=== debian/rules ===
#!/usr/bin/make -f
#
# This file is part of autopkgtest
# autopkgtest is a tool for testing Debian binary packages
#
# autopkgtest is Copyright (C) 2006 Canonical Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# See the file CREDITS for a full list of credits information (often
# installed as /usr/share/doc/autopkgtest/CREDITS).

VERSION=$(shell dpkg-parsechangelog  | sed -n '/^Version:/ {s/^.*: //; p}')

%:
	dh "$@"

override_dh_auto_install:
	dh_auto_install

	# put our package version into the code for logging
	sed -i 's/@version@/$(VERSION)/' debian/autopkgtest/usr/share/autopkgtest/lib/adt_testbed.py

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	if type pyflakes3 >/dev/null 2>&1; then tests/pyflakes; else echo "pyflakes3 not available, skipping"; fi
	tests/pep8 || true
	tests/testdesc
	tests/run_args
	env NO_PKG_MANGLE=1 tests/autopkgtest NullRunner
	env NO_PKG_MANGLE=1 tests/adt-run NullRunner
endif

# necessary until we move to compat level 9
override_dh_pysupport:
	true

## autopkgtest 4.0.5~bpo8+1

=== debian/changelog ===
autopkgtest (4.0.5~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Drop `pyflakes3 | pyflakes` from Build-Depends: to be able to build on
    jessie (implies that tests/pyflakes is now skipped during the build)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 04 Sep 2016 17:10:37 -0300

autopkgtest (4.0.5) unstable; urgency=medium

  * setup-commands/setup-testbed: Don't configure ifupdown when using
    networkd, as done by latest vmdebootstrap.
  * autopkgtest-chroot.1: Fix typo
  * Drop broken and unmaintained ssh-setup/snappy setup script.
    This hasn't ever been used in production and stopped working long ago.
  * Run tests/autopkgtest_args during package build
  * Put virt servers back into $PATH.
    The virt servers were originally intended to be public API (even though not
    documented as such) and other packages might provide virt servers. Put them
    back into /usr/bin, with an "autopkgtest-virt-" prefix to mirror the original
    "adt-virt-" naming. Rename the manpages to match the binaries.
    (Closes: #835204)
  * tests/autopkgtest: Relax checks for testpkg.deb from local repository
    apt 1.3 changes the format, so be less picky about it.
  * Fix "apt-get source" version detection for single-line "Package-List:"

 -- Martin Pitt <mpitt@debian.org>  Mon, 29 Aug 2016 08:35:00 +0200

autopkgtest (4.0.4) unstable; urgency=medium

  [ Antonio Terceiro ]
  * autopkgtest-build-lxc: Add new optional argument for a customization script

  [ Martin Pitt ]
  * Add /usr/bin/adt-virt-* backwards compatibility symlinks (Closes: #833407)
  * Add pyflakes3 build dependency to run pyflakes test at build time
    (Closes: #833502)
  * tools/autopkgtest-build-lxd: Drop running poweroff before "lxc stop"

  [ Ondřej Nový ]
  * Prefer pycodestyle over pep8 (Closes: #834076)

 -- Martin Pitt <mpitt@debian.org>  Fri, 12 Aug 2016 11:07:10 +0200

autopkgtest (4.0.3) unstable; urgency=medium

  [ Christian Kastner ]
  * autopkgtest.1: Replace remaining "---" with "--" (Closes: #831035)

  [ Martin Pitt ]
  * Fix UnicodeDecodeError on invalid UTF-8 characters in debian/changelog with a built tree
  * qemu: Add new --timeout-reboot option.
    Lower default timeout from 5 to 1 minute.
  * setup-commands/setup-testbed: Add systemd unit for ttyS1 root shell.
  * setup-commands/setup-testbed: Ignore I/O errors on ttyS1 in autopkgtest.service.
  * tools/autopkgtest-build-lxd: Run poweroff before "lxc stop"
    This works around hanging containers when a container has systemd >= 231-1 but
    the host LXC does not yet have <https://github.com/lxc/lxc/pull/1086>.

 -- Martin Pitt <mpitt@debian.org>  Tue, 02 Aug 2016 09:30:29 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,8 @@
  python3-mock,
  python3-debian,
  python3-docutils,
- pyflakes,
  procps,
- pep8
+ pycodestyle | pep8,
 Vcs-Git: https://anonscm.debian.org/git/autopkgtest/autopkgtest.git
 Vcs-Browser: https://anonscm.debian.org/git/autopkgtest/autopkgtest.git
 X-Python3-Version: >= 3.1

## autopkgtest 4.1

=== debian/changelog ===
autopkgtest (4.1) unstable; urgency=medium

  [ Martin Pitt ]
  * ssh-setup/nova: Move to python3 and to current -novaclient API
  * schroot: Bump end-session timeout to 5 minutes.
    30 seconds might not be enough when running big schroots on slow disks.
  * ssh-setup/nova: Add --nova-reboot option.
    In some clouds using "nova reboot --poll" waits several minutes until
    after the machine is actually up again. OTOH a simple "reboot" inside some
    other clouds causes network to break after "reboot". As there is no method
    that works everywhere, default to the autopkgtest-virt-ssh behaviour again
    ("reboot" and wait for ssh), and add an option to use "nova reboot"
    instead.

  [ Stéphane Graber ]
  * debian/tests/lxd: Update bridge setup to work with LXD 2.3 and higher.
    This moves from /etc/default/lxd-bridge to lxd-internal configuration.

  [ Barry Warsaw ]
  * Support url#refspec format.
    Fix the bug in the previously supported url#branch syntax, where the code
    expected a space separator but the documentation described the # separator.
    Generalize the approach with an explicit fetch/checkout so that GitHub style PR
    refspecs like "refs/pull/21/head" also work as branch name.
    (Closes: #839072)

 -- Martin Pitt <mpitt@debian.org>  Sat, 01 Oct 2016 10:55:16 +0200

## autopkgtest 4.2.2~bpo8+1

=== debian/changelog ===
autopkgtest (4.2.2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 09 Dec 2016 18:11:07 -0200

autopkgtest (4.2.2) unstable; urgency=medium

  * tests/adt-run: Adjust expected cpu_model in
    NullRunner.test_tree_output_dir()
  * autopkgtest-buildvm-ubuntu-cloud: Run setup script with -x in verbose
    mode. This provides more useful information when updating/adjusting
    setup-testbed.
  * setup-commands/setup-testbed: Run all apt operations with
    DEBIAN_FRONTEND=noninteractive.

 -- Martin Pitt <mpitt@debian.org>  Tue, 29 Nov 2016 09:11:05 +0100

autopkgtest (4.2.1) unstable; urgency=medium

  * Fix trailing '\' in test command  with ssh runner
  * ssh: Filter out trailing spaces from commands in auxverb
  * Apply patches for tests with unbuilt-tree (Closes: #844454)
  * setup-commands/setup-testbed: Install dpkg-dev
  * Fix stray ')' in --apt-pocket handling
  * Adjust expected cpu_model in NullRunner.test_tree_output_dir()
  * PEP-8 fixes
  * Robustify tests against kernel versions with trailing space

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Nov 2016 22:49:59 +0100

autopkgtest (4.2) unstable; urgency=medium

  [ Martin Pitt ]
  * ssh: Fix result of tests that break the testbed. (LP: #1630578)
  * qemu: Fix user/password login mode without a ttyS1 root shell.
     - Concatenate bytes with each other, not a str to a byte.
     - Sync/flush console after sending password and ttyS1 shell command, wait
       until login is complete before continuing.
     - Send password to sudo for ttyS1 shell command, to also work with
       password-requiring sudo. (LP: #1630963)
  * qemu: Fix reboot in user/password login mode.
  * ssh: Add --capability option.
    This is useful to run tests which require an isolation level or have
    breaks-testbed without a setup script.
  * autopkgtest-build-lxd: Ask "lxc profile" for default bridge instead of
    /etc/default/lxd-bridge. The latter went away in recent LXD versions, and
    "lxc profile show default" also works in earlier versions.
  * Make --apt-upgrade consider a "404" error as test failure.
    Previously all errors from "apt-get update" were considered temporary
    failures, i. e. the setup command always exited with 1. But if we specify
    e. g. a nonexisting release from a distro or a PPA, this won't just go
    away by itself -- we want the test to actually fail instead of getting
    stuck in an eternal "retry on temporary failures" loop.
  * schroot: Don't fail on stderr of schroot as long as it succeeds.
    (LP: #1637898)
  * qemu: Hide detected udev file system properties on /dev/baseimage.
    (Closes: #842299)

  [ Simon McVittie ]
  * VirtSubproc: open arbitrary files in binary mode.
  * VirtSubproc: if check_exec status is nonzero, include stderr in message.
  * qemu: put the shared directory in /run. If the virtual machine's root
    filesystem is read-only, we won't be able to create /autopkgtest.
  * qemu: Move eofcat into /tmp. This avoids having to write it to /bin, which
    might be read-only.  Re-create eofcat on every boot for this.
  * source_rules_command: log the result we got if it is not as expected
    (Closes: #842302)
  * Add 'needs-reboot' restriction. This allows tests to be explicit about
    needing to reboot the machine, rather than assuming that
    'isolation-machine' is enough. It is plumbed into the existing 'reboot'
    capability, which is distinct from 'isolation-machine'.
    (Closes: #842300)
  * Add --setup-commands-boot for commands that must be run at every boot.
    This can be used for doing "mount -o remount,rw /" before any dpkg
    operation, or transient setup like writing files into /run/.
    (Closes: #842091)

 -- Martin Pitt <mpitt@debian.org>  Tue, 01 Nov 2016 23:12:55 +0200

## autopkgtest 4.3~ubuntu14.04.1

=== debian/changelog ===
autopkgtest (4.3~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty

 -- Martin Pitt <mpitt@debian.org>  Sat, 21 Jan 2017 10:35:33 +0100

autopkgtest (4.3) unstable; urgency=medium

  [ SZALAY Attila ]
  * Respect --shell-on-failure on test dep install failure (Closes: #844255)

  [ Barry Warsaw ]
  * Use a test name that won't collide with my $HOME.
  * Shorten the name in response to review
  * testdesc.py: Feature: test-name=foobar added for better Test-Command names
    (Closes: #839253)
  * autopkgtest: Support --test-name and deprecate --testname

  [ Paul Gevers ]
  * tests: Use valid Debian architecture in ChrootRunner tests
    (Closes: #849676)

 -- Martin Pitt <mpitt@debian.org>  Wed, 11 Jan 2017 12:34:09 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  python3-mock,
  python3-debian,
  python3-docutils,
+ pyflakes3 | pyflakes,
  procps,
  pycodestyle | pep8,
 Vcs-Git: https://anonscm.debian.org/git/autopkgtest/autopkgtest.git

=== debian/tests/control ===
Tests: autopkgtest adt-run
Depends: autopkgtest,
 autodep8,
 build-essential,
 debhelper (>= 7)
Restrictions: needs-root
Tests-Directory: tests

Tests: pyflakes
Depends: pyflakes
Tests-Directory: tests

Tests: installed
Depends: autopkgtest

Tests: lxd
Depends: autopkgtest,
 lxd,
 lxd-client,
 build-essential,
 debhelper (>= 7),
 fakeroot
Restrictions: isolation-machine, needs-root, allow-stderr

## autopkgtest 4.3~ubuntu16.04.1

=== debian/changelog ===
autopkgtest (4.3~ubuntu16.04.1) xenial-backports; urgency=medium

  * No-change backport to xenial

 -- Martin Pitt <mpitt@debian.org>  Sat, 21 Jan 2017 10:35:19 +0100

=== debian/rules ===
--- 
+++ 
@@ -36,8 +36,9 @@
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	if type pyflakes3 >/dev/null 2>&1; then tests/pyflakes; else echo "pyflakes3 not available, skipping"; fi
-	tests/pep8 || true
+	tests/pycodestyle || true
 	tests/testdesc
+	tests/autopkgtest_args
 	tests/run_args
 	env NO_PKG_MANGLE=1 tests/autopkgtest NullRunner
 	env NO_PKG_MANGLE=1 tests/adt-run NullRunner

## autopkgtest 4.3~ubuntu16.10.1

=== debian/changelog ===
autopkgtest (4.3~ubuntu16.10.1) yakkety-backports; urgency=medium

  * No-change backport to yakkety

 -- Martin Pitt <mpitt@debian.org>  Sat, 21 Jan 2017 10:35:46 +0100

## autopkgtest 4.3ubuntu1

=== debian/changelog ===
autopkgtest (4.3ubuntu1) zesty; urgency=medium

  * Update debian/tests/lxd to support LXD storage API.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 17 Feb 2017 00:07:09 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: autopkgtest
-Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>
 Section: devel
 Priority: optional

## autopkgtest 4.4~bpo8+1

=== Makefile ===
--- 
+++ 
@@ -28,20 +28,19 @@
 docdir =	$(share)/doc/$(pkgname)
 datadir =	$(share)/$(pkgname)
 pythondir = 	$(datadir)/lib
-virtdir = 	$(datadir)/virt
 
 INSTALL =	install
 INSTALL_DIRS =	$(INSTALL) -d
 INSTALL_PROG =	$(INSTALL) -m 0755
 INSTALL_DATA =	$(INSTALL) -m 0644
 
-virts =		virt/chroot \
-		virt/lxc \
-		virt/lxd \
-		virt/null \
-		virt/qemu \
-		virt/schroot \
-		virt/ssh \
+virts =		chroot \
+		lxc \
+		lxd \
+		null \
+		qemu \
+		schroot \
+		ssh \
 		$(NULL)
 
 programs =	tools/autopkgtest-buildvm-ubuntu-cloud \
@@ -68,15 +67,14 @@
 all: $(htmlfiles)
 
 install:
-	$(INSTALL_DIRS) $(bindir) $(docdir) $(man1dir) $(pythondir) $(virtdir) $(datadir)/setup-commands $(datadir)/ssh-setup
+	$(INSTALL_DIRS) $(bindir) $(docdir) $(man1dir) $(pythondir) $(datadir)/setup-commands $(datadir)/ssh-setup
 	set -e; for f in $(programs); do \
 		$(INSTALL_PROG) $$f $(bindir); \
 		test ! -f $$f.1 || $(INSTALL_DATA) $$f.1 $(man1dir); \
 		done
 	set -e; for f in $(virts); do \
-		$(INSTALL_PROG) $$f $(virtdir); \
-		man=$$(dirname $$f)/autopkgtest-$$(basename $$f).1; \
-		test ! -f $$man || $(INSTALL_DATA) $$man $(man1dir); \
+		$(INSTALL_PROG) virt/autopkgtest-virt-$$f $(bindir); \
+		$(INSTALL_DATA) virt/autopkgtest-virt-$${f}.1 $(man1dir); \
 		done
 	$(INSTALL_DATA) $(pythonfiles) $(pythondir)
 	$(INSTALL_DATA) CREDITS $(docdir)
@@ -90,6 +88,8 @@
 	ln -s autopkgtest-build-lxd $(bindir)/adt-build-lxd
 	ln -s autopkgtest-buildvm-ubuntu-cloud $(bindir)/adt-buildvm-ubuntu-cloud
 	$(INSTALL_DATA) runner/adt-run.1 $(man1dir)
+	# legacy virt runners
+	for v in $(virts); do ln -s autopkgtest-virt-$$v $(bindir)/adt-virt-$$(basename $$v); done
 
 clean:
 	rm -f */*.pyc

=== debian/changelog ===
autopkgtest (4.4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 30 May 2017 11:02:23 -0300

autopkgtest (4.4) unstable; urgency=medium

  [ Martin Pitt ]
  * doc/README.package-tests.rst: Document network access (Closes: #851556)
  * qemu: Robustify ssh port locks.
    Stop assuming that /run/lock is user-writable (it is not in non-Debian
    systems). Instead create the lock file in /tmp and use 'x' to avoid
    /tmp file races.
  * tests/autopkgtest: Fix crashes when running on non-apt system
  * Fix candidate version detection for packages containing regexp operators
    '+' and '.' are valid characters in a Debian package name. Escape them
    in the call to apt-cache policy so that we get what we want to know.
    (Closes: #855954)

  [ Iain Lane ]
  * Fix build_source to work if "Package-List" is the last line in the apt
    output (Closes: #851899)
  * autopkgtest-virt-lxd: Check uptime for reboot waiting. (LP: #1654025)
  * Add a debug-fail hook and implement it for autopkgtest-virt-ssh.
    At the minute, this is mainly so that the nova script can have its
    failure information (`nova console-log') propagated up to the output, so
    that in the case of kernel panics or other random failures we get useful
    output that the driver of autopkgtest (e.g. autopkgtest-cloud) can look
    at. (LP: #1630578)
  * autopkgtest-build-lxd: Allow overriding the target release by setting
    RELEASE=. This will cause the container to be dist-upgraded to the new
    release. Useful for the very early stages of a release when the LXD
    images on images.linuxcontainers.org don't exist yet.

  [ Barry Warsaw ]
  * Pass Dpkg::Options::=--force-confnew to apt-get install.
    This avoids dpkg from prompting for conffile installation when you always
    want the new conffile in the testbed anyway. (Closes: #852475)

 -- Martin Pitt <mpitt@debian.org>  Sun, 30 Apr 2017 19:09:57 +0200

## autopkgtest 5.0.2

=== debian/changelog ===
autopkgtest (5.0.2) unstable; urgency=medium

  * test: Adjust ChrootRunner tests for changed apt-get source invocation.
    Commit 762397342b changed the invocation of `apt-get source` and
    `dpkg-source -x`. Adjust ChrootRunner test mock commands accordingly.

 -- Martin Pitt <mpitt@debian.org>  Mon, 16 Oct 2017 11:53:55 +0200

autopkgtest (5.0.1) unstable; urgency=medium

  [ Jiri Palecek ]
  * qemu: Improve race condition with reading data after VM process ended.
    Finish reading all data from stdin before checking the "running" flag,
    to mitigate "tar: Unexpected EOF in archive in copyup()" race
    conditions. (Closes: #829753, LP: #1384706)

  [ Martin Pitt ]
  * Use short package directory path for dsc and apt source.
    Packages with long names can otherwise create too long paths for
    sockets.  Based on patch by Balint Reczey. (Closes: #860554)
  * setup-commands/setup-testbed: Get along with resolv.conf symlink
    debootstrap already copies the host's /etc/resolv.conf into the chroot,
    but this does not help if that's a symlink. Copy the actual content
    instead.  Based on patch by SZALAY Attila. (Closes: #845925, LP: #1659541)

 -- Martin Pitt <mpitt@debian.org>  Sun, 08 Oct 2017 23:07:15 +0200

autopkgtest (5.0) unstable; urgency=medium

  [ Martin Pitt ]
  * Drop obsolete adt-* CLI
    autopkgtest 4.0 with its "autopkgtest" program has been around for a
    year, Debian's and Ubuntu's CI moved to that, and the Debian 9.0 release
    is behind us. Drop "adt-run" and the corresponding adt-virt-* and
    adt-build-* command line interfaces now.
    Add Breaks: for debci for versions that still relied on adt-*.
  * lxc, qemu, ssh: Shorten path of shared directory.
    This helps to reduce socket path lengths in tests.
    (See Debian #860554, LP: #1680577)
  * Drop obsolete ubuntu-touch-session setup script.
    This hasn't been maintained/tested for ages, and with the demise of
    Ubuntu Touch this is now completely obsolete. (Closes: #835836)
  * Avoid bare "except:" clauses
  * tests/autopkgtest_args: pyflakes/pycodestyle fixes
  * tests: Don't run LXC tests with --ephemeral.
    It's not the default and ephemeral containers tend to fail to start too
    often.
  * tests/testpkg: Update Standards-Version and debhelper level.
    Priority "extra" is deprecated, so move to "optional".
  * README.package-tests.rst: Clarify role of control file, add simple
    examples (Closes: #870654)
  * README.package-tests.rst: Update Testsuite: documentation.
    All supported Debian releases now have a new enough dpkg, and Ubuntu
    14.04 will not get new tests any more. (Closes: #876008)
  * Run apt-ftparchive for local debs on testbed instead of host.
    This is slightly more correct as it will produce the format that the
    testbed's apt expects (although that doesn't matter much). It also
    allows autopkgtest to be run on non-Debian hosts.
    As apt-utils is not essential, install it if necessary.
  * README.package-tests.rst: Clarify Testsuite: values
    `autopkgtest` is not any more the only defined value for Testsuite:, as
    the paragraph below already explains.
  * setup-commands/setup-testbed: Look at /etc/os-release for determining
    distribution name. Stop hardcoding "debian|ubuntu|kali" and get this
    information from os-release's ID field. (Closes: #868678)
  * debian/rules: Drop obsolete pysupport override.
    Not necessary any more since dh compat level 9.
  * Bump Standards-Version to 4.1.0. (No changes necessary.)

  [ Stéphane Graber ]
  * debian/tests/lxd: Update to support LXD network/storage API

  [ Steve Langasek ]
  * Fix release name parsing with arch-qualified sources.list
    (Closes: #870393)

  [ Antonio Terceiro ]
  * autopkgtest-build-lxc: Correctly clean cache for Debian containers

 -- Martin Pitt <mpitt@debian.org>  Sun, 17 Sep 2017 16:50:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: autopkgtest
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
+Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Build-Depends: debhelper (>= 9),
  python3 (>= 3.1),
  python3-mock,
@@ -27,6 +26,7 @@
  ${misc:Depends}
 Recommends: autodep8
 Suggests: schroot, lxc, lxd-client, qemu-system, qemu-utils
+Breaks: debci (<< 1.7~)
 Description: automatic as-installed testing for Debian packages
  autopkgtest runs tests on binary packages.  The tests are run on the
  package as installed on a testbed system (which may be found via a

=== debian/rules ===
--- 
+++ 
@@ -39,11 +39,5 @@
 	tests/pycodestyle || true
 	tests/testdesc
 	tests/autopkgtest_args
-	tests/run_args
 	env NO_PKG_MANGLE=1 tests/autopkgtest NullRunner
-	env NO_PKG_MANGLE=1 tests/adt-run NullRunner
 endif
-
-# necessary until we move to compat level 9
-override_dh_pysupport:
-	true

## autopkgtest 5.1~bpo9+1

=== debian/changelog ===
autopkgtest (5.1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 18 Dec 2017 10:01:29 -0200

autopkgtest (5.1) unstable; urgency=medium

  [ Paul Gevers ]
  * Error out when apt-get update fails for three times in a row
  * Add release- to help text of apt-pocket
  * Apply patch by Simon McVittie from bug #851568 (Closes: #851568)
  * Improve man page for --setup-commands, as both examples are now supported
    natively
  * Use APT:Default-Release i.s.o. most pinning and add option
    --apt-default-release
  * Add --pin-packages option to enable Debian to run in testing with packages
    from sid

  [ Antonio Terceiro ]
  * Simplify check for need to run setup commands
  * Extract "add APT source" into its own method
  * Add --add-apt-release option

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 22 Nov 2017 20:12:39 -0200

autopkgtest (5.0.4) unstable; urgency=medium

  * setup-commands/setup-testbed: also handle the case where resolv.conf is
    *not* a symlink
  * Bump Standards-Version to 4.1.1; no changes needed.
  * debian/rules: reuse /usr/share/dpkg/pkg-info.mk instead of calling
    dpkg-parsechangelog to get package version

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 25 Oct 2017 22:42:22 -0200

autopkgtest (5.0.3) unstable; urgency=medium

  * Add myself to Uploaders:
  * setup-commands/setup-testbed: fix test for whether /etc/resolv.conf is a
    symlink

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 25 Oct 2017 17:55:57 -0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: autopkgtest
 Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
-Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>
+Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>, Antonio Terceiro <terceiro@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Build-Depends: debhelper (>= 9),
  python3 (>= 3.1),
  python3-mock,

## autopkgtest 5.2~bpo9+1

=== debian/changelog ===
autopkgtest (5.2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Paul Gevers <elbrus@debian.org>  Fri, 30 Mar 2018 20:24:50 +0200

autopkgtest (5.2) unstable; urgency=medium

  [ Martin Pitt ]
  * setup-commands/setup-testbed: Skip ifupdown configuration with netplan

  [ Iain Lane ]
  * lxc, lxd: If we're running systemd, wait until the network is up
    (LP: #1749736)
  * setup-testbed: Add gpg (or fall back to gnupg2)

  [ Paul Gevers ]
  * Escape single quotes when printing test command in testbed (Closes:
    #893035)
  * Add myself to uploaders
  * adt_testbed: don't fail on non-UTF-8 characters in stderr (Closes:
    #893599)

  [ Antonio Terceiro ]
  * Generalize regular expressions for parsing sources.list

 -- Paul Gevers <elbrus@debian.org>  Tue, 20 Mar 2018 13:05:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: autopkgtest
 Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
-Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>, Antonio Terceiro <terceiro@debian.org>
+Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>, Antonio Terceiro <terceiro@debian.org>, Paul Gevers <elbrus@debian.org>
 Section: devel
 Priority: optional
 Standards-Version: 4.1.1
@@ -12,8 +12,8 @@
  pyflakes3 | pyflakes,
  procps,
  pycodestyle | pep8,
-Vcs-Git: https://anonscm.debian.org/git/autopkgtest/autopkgtest.git
-Vcs-Browser: https://anonscm.debian.org/git/autopkgtest/autopkgtest.git
+Vcs-Git: https://salsa.debian.org/ci-team/autopkgtest.git
+Vcs-Browser: https://salsa.debian.org/ci-team/autopkgtest
 X-Python3-Version: >= 3.1
 
 Package: autopkgtest

## autopkgtest 5.3~bpo9+1

=== debian/changelog ===
autopkgtest (5.3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Paul Gevers <elbrus@debian.org>  Wed, 18 Apr 2018 10:44:36 +0200

autopkgtest (5.3) unstable; urgency=medium

  * Fix autopkgtest: update reference
  * Use apt pinning instead of APT::Default-Release (Closes: #893754)
    Thanks to Iain Lane for the initial patch.
  * adt_testbed: pin default release to archive name for pocket use
    (Closes: #894094)

 -- Paul Gevers <elbrus@debian.org>  Thu, 12 Apr 2018 15:20:15 +0200

## autopkgtest 5.3.1

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,6 @@
 
 pythonfiles =	lib/VirtSubproc.py \
 		lib/adtlog.py \
-		lib/adt_run_args.py \
 		lib/autopkgtest_args.py \
 		lib/adt_testbed.py \
 		lib/adt_binaries.py \
@@ -82,14 +81,6 @@
 	$(INSTALL_PROG) setup-commands/*[!~] $(datadir)/setup-commands
 	$(INSTALL_PROG) ssh-setup/[a-z]*[!~] $(datadir)/ssh-setup
 	$(INSTALL_DATA) ssh-setup/SKELETON $(datadir)/ssh-setup
-	# legacy CLI
-	ln -s autopkgtest $(bindir)/adt-run
-	ln -s autopkgtest-build-lxc $(bindir)/adt-build-lxc
-	ln -s autopkgtest-build-lxd $(bindir)/adt-build-lxd
-	ln -s autopkgtest-buildvm-ubuntu-cloud $(bindir)/adt-buildvm-ubuntu-cloud
-	$(INSTALL_DATA) runner/adt-run.1 $(man1dir)
-	# legacy virt runners
-	for v in $(virts); do ln -s autopkgtest-virt-$$v $(bindir)/adt-virt-$$(basename $$v); done
 
 clean:
 	rm -f */*.pyc

=== debian/changelog ===
autopkgtest (5.3.1) unstable; urgency=medium

  [ Iain Lane ]
  * Fix typo in previous upload, preventing apt-get fallback to work
    properly

  [ Paul Gevers ]
  * Sort os.listdir output in tests as the order is undefined, fixing
    failures on i386 and s390x (Closes: #895824)

 -- Paul Gevers <elbrus@debian.org>  Sun, 22 Apr 2018 15:55:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: autopkgtest
-Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
+Maintainer: Debian CI team <debian-ci@lists.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>, Antonio Terceiro <terceiro@debian.org>, Paul Gevers <elbrus@debian.org>
 Section: devel
 Priority: optional

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Tests: autopkgtest adt-run
+Tests: autopkgtest
 Depends: autopkgtest,
  autodep8,
  build-essential,

=== tests/testpkg-reboot-prepare/debian/tests/control ===
Tests: p
Depends:
Restrictions: allow-stderr, needs-root

=== tests/testpkg/debian/control ===
Source: testpkg
Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>, Üñïcøδ€ <unicode@example.com>
Section: oldlibs
Priority: optional
Standards-Version: 4.0.1
Build-Depends: debhelper (>= 9)

Package: testpkg
Architecture: all
Depends: ${misc:Depends}
Recommends: apt-doc
Description: test package
 Test package, do not install.

## autopkgtest 5.3.1ubuntu1

=== debian/changelog ===
autopkgtest (5.3.1ubuntu1) bionic; urgency=medium

  * tools/autopkgtest-build-lxd: pass /dev/null on stdin to lxc launch
    (LP: #1845037)

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 26 Sep 2019 08:48:21 -0400

## autopkgtest 5.3.1ubuntu1.1

=== tests/testpkg/Makefile ===
build:
	/bin/echo -e "#!/bin/sh -e\necho built script OK" > test_built
	/bin/echo -e "#!/bin/sh -e\nexec $(PWD)/test_built" > test_abspath
	chmod 755 test_built test_abspath

clean:
	rm -f test_built

distclean: clean

install: build
	install -D -m755 test_static $(DESTDIR)/usr/bin/test_static
	install -D -m755 test_built $(DESTDIR)/usr/bin/test_built

=== debian/changelog ===
autopkgtest (5.3.1ubuntu1.1) bionic; urgency=medium

  * setup-testbed: Set Always-Include-Phased-Updates for apt (LP: #1934100)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 30 Jun 2021 10:39:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: autopkgtest
-Maintainer: Debian CI team <debian-ci@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian CI team <debian-ci@lists.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>, Antonio Terceiro <terceiro@debian.org>, Paul Gevers <elbrus@debian.org>
 Section: devel
 Priority: optional

## autopkgtest 5.4.1~bpo9+1

=== debian/changelog ===
autopkgtest (5.4.1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Paul Gevers <elbrus@debian.org>  Fri, 13 Jul 2018 21:05:34 +0200

autopkgtest (5.4.1) unstable; urgency=medium

  * README.package-tests.rst: explain that architecture qualifiers are
    allowed in Test-Depends
  * SchrootRunner: add testcases for arch qualifiers in Test-Depends
  * Fix regression on arch-specific packages with '@' in Test-Depends
    (Closes: #903000)

 -- Paul Gevers <elbrus@debian.org>  Fri, 06 Jul 2018 20:05:39 +0200

autopkgtest (5.4) unstable; urgency=medium

  [ Simon McVittie ]
  * README.package-tests.rst: Document AUTOPKGTEST_NORMAL_USER
  * d/tests/lxd: Don't assume all test-runners set AUTOPKGTEST_NORMAL_USER
  * qemu: Only set up base image device if requested (Closes: #892023, #862362)
  * qemu: Document --baseimage
  * qemu: Update test for --baseimage no longer being the default
  * qemu, lxc, lxd: Look for a user account in the 1000-59999 range
    (Closes: #897170)
  * qemu: Add a shortcut for running tests on an EFI-booted image (Closes:
    #898340)
  * doc: Describe how to parse Features, Restrictions, Classes
  * Add support for flaky tests (Closes: #851558)
  * Add support for tests declaring themselves to have been skipped
  * autopkgtest(1): Document FLAKY as a possible summary status

  [ Balint Reczey ]
  * Fix bashism in retrying apt update

  [ Paul Gevers ]
  * Enable testing to continue after badpkg (Closes: #832751)
  * adt_testbed.py fix missed piece of regular expression in commit a7e1dad
  * d/tests/autopkgtest Update SchrootRunner
  * runner/autopkgtest: Drop Ubuntu 12.04 fallback
  * manpage: make ordering consistent with --help (Closes: #901643)

  [ Julian Andres Klode ]
  * ssh-setup/nova: Add support for keystone v3 auth (LP: #1767433)

  [ Rafael Laboissiere ]
  * Set Maintainer email address to team+ci@tracker.debian.org

  [ Niko Tyni ]
  * Add a couple of testcases for versioned provides support
  * Ensure synthesized test dependencies are not satisfied by versioned Provides
    (Closes: #867081)
  * Remove the old '(>= 0)' hack for ensuring '@' pulls in real packages

 -- Paul Gevers <elbrus@debian.org>  Mon, 02 Jul 2018 11:50:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: autopkgtest
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian CI team <debian-ci@lists.debian.org>
+Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>, Antonio Terceiro <terceiro@debian.org>, Paul Gevers <elbrus@debian.org>
 Section: devel
 Priority: optional
@@ -26,7 +25,15 @@
  procps,
  ${misc:Depends}
 Recommends: autodep8
-Suggests: schroot, lxc, lxd-client, qemu-system, qemu-utils
+Suggests:
+ lxc,
+ lxd-client,
+ ovmf,
+ qemu-efi-aarch64,
+ qemu-efi-arm,
+ qemu-system,
+ qemu-utils,
+ schroot,
 Breaks: debci (<< 1.7~)
 Description: automatic as-installed testing for Debian packages
  autopkgtest runs tests on binary packages.  The tests are run on the

## autopkgtest 5.4.1~bpo9+2

=== debian/changelog ===
autopkgtest (5.4.1~bpo9+2) stretch-backports; urgency=medium

  * Fix test failure with Python 3.5

 -- Paul Gevers <elbrus@debian.org>  Sun, 15 Jul 2018 13:59:17 +0200

## autopkgtest 5.5~bpo9+1

=== debian/changelog ===
autopkgtest (5.5~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Paul Gevers <elbrus@debian.org>  Tue, 21 Aug 2018 21:03:36 +0200

autopkgtest (5.5) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Different implementation to make sure to never pass an empty string as
    username to `su`
  * When using systemd, reboot via systemd-run
  * test_breaks_testbed: allow output on stderr

  [ Paul Gevers ]
  * Fix whitespace in old parts of d/changelog
  * Add gitlab pipelines to autopkgtest
  * Fixes to be conform pycodestyle
  * tests: replace encoding='utf-8' by universal_newlines=True for
    python3.5 (stretch)
  * Fix missing empty line in commit 30470603
  * Add option to disable the apt fallback when dependencies can't be
    installed due to pinning
  * Make autopkgtest Build-Depends-Arch aware (Closes: #903398)
  * Add skip-not-installable restriction (Closes: #905311)
  * Drop ancient X-Python3-Version (thanks lintian)

  [ Ian Jackson ]
  * doc/README.package-tests.rst: document hint-testsuite-triggers
    (Closes: #905310)

  [ Simon McVittie ]
  * runner: Document exit status 14 as possible
  * tests: Don't rely on being able to install B-D as non-root (Closes:
    #905677)
  * tests: Skip test_tree_build_needed_success if necessary
  * runner: Exit 8 if every test was skipped or otherwise ignored
    (Closes: #901804)

 -- Paul Gevers <elbrus@debian.org>  Fri, 10 Aug 2018 20:27:40 +0200

autopkgtest (5.4.2) unstable; urgency=medium

  [ Martin Pitt ]
  * doc: Document "test-name" feature
  * doc/README.package-tests.rst: Fix formatting of previous commit

  [ Niko Tyni ]
  * Fix versioned provides test dependency handling
  * Refactor _synthesize_deps() parameters
  * Properly handle virtual packages in alternative test dependencies
    (Closes: #903975)
  * Add test cases for alternative test dependencies improvements

  [ Antonio Terceiro ]
  * Always pass a non-empty user string to `su` (Closes: #904870)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 29 Jul 2018 12:13:06 -0300

## autopkgtest 5.5

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  pycodestyle | pep8,
 Vcs-Git: https://salsa.debian.org/ci-team/autopkgtest.git
 Vcs-Browser: https://salsa.debian.org/ci-team/autopkgtest
-X-Python3-Version: >= 3.1
 
 Package: autopkgtest
 Architecture: all

## autopkgtest 5.5ubuntu1

=== debian/changelog ===
autopkgtest (5.5ubuntu1) cosmic; urgency=medium

  * Tweaks for LXD snap:
    - Replace lxd-client with lxd
    - Update lxd test to avoid potential install race
    - Update lxd test to forward env variables
    - Add missing iptables dependency on lxd test

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 15 Sep 2018 03:45:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: autopkgtest
-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>, Antonio Terceiro <terceiro@debian.org>, Paul Gevers <elbrus@debian.org>
 Section: devel
 Priority: optional
@@ -26,7 +27,7 @@
 Recommends: autodep8
 Suggests:
  lxc,
- lxd-client,
+ lxd,
  ovmf,
  qemu-efi-aarch64,
  qemu-efi-arm,

## autopkgtest 5.6

=== debian/changelog ===
autopkgtest (5.6) unstable; urgency=medium

  [ Simon McVittie ]
  * Restore ability to boot pre-stretch systemd systems (Closes: #906227)
  * runner: Document exit status 8 for "all tests skipped"
  * Implement superficial as a test restriction (Closes: #904979)
  * man page: Document that PASS can now be followed by details too
  * Ignore pycodestyle W504 "line break after binary operator"
  * tests/pycodestyle: Print all warnings before exiting unsuccessfully
  * Fix most pycodestyle warnings for invalid escape sequences

  [ Martin Pitt ]
  * autopkgtest-buildvm-ubuntu-cloud: Drop obsolete Ubuntu release names
  * doc: Clarify scope of tests
  * Adjust lxd Suggests: (LP: #1788040)

  [ Paul Gevers ]
  * doc: deprecate needs-recommends
  * Improve documentation of --no-apt-fallback
  * runner/autopkgtest: improve apt-source for Debian

  [ Antonio Terceiro ]
  * autopkgtest-build-qemu: build VM images with vmdb2 (Closes: #904972)

 -- Paul Gevers <elbrus@debian.org>  Mon, 15 Oct 2018 20:35:36 +0200

## autopkgtest 5.7~bpo9+1

=== debian/changelog ===
autopkgtest (5.7~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Paul Gevers <elbrus@debian.org>  Sun, 16 Dec 2018 12:21:20 +0100

autopkgtest (5.7) unstable; urgency=medium

  [ Paul Gevers ]
  * doc: remove confusing text about future systems
  * runner/autopkgtest: initialize variable (Closes: #914191)
  * doc: document test-name syntax (Closes: #915913)
  * Also run autodep8 when d/control says so (Closes: #904776)

  [ Martin Pitt ]
  * Support foreign architecture test dependencies (Closes: #913082)
  * lib/testdesc.py: Fix typo in regular expression
  * autopkgtest-build-qemu: Fix uninitialized proxy_cmd variable
    (Closes: #911963)

  [ Iain Lane ]
  * autopkgtest-build-lxd hack: mask serial-getty@getty.service
  * Re-enable apt-cache fallback for --only-source as needed in trusty

  [ Christian Ehrhardt ]
  * Better debugging info for failures due to non-installable test
    dependencies

 -- Paul Gevers <elbrus@debian.org>  Thu, 13 Dec 2018 12:03:13 +0100
